Page MenuHomePhabricator

Improve "you can not log in to this instance" workflow
Closed, ResolvedPublic

Description

When you try to log in to an instance you don't have permission to log in to, we should give you an explicit message and direct you to the list of instances which you have accounts on.

Details

Commits
Restricted Differential Revision / Restricted Diffusion Commit
Restricted Differential Revision / Restricted Diffusion Commit
D14050 / rP9d0332c2c0a4: Modernize OAuthserver and provide more context on "no permission" exception
D14049 / rP1fc60a9a6e70: Modularize Aphront exception handling
D14047 / rP20ce1a905f3a: Replace AphrontUsageException with AphrontMalformedRequestException
Restricted Differential Revision / Restricted Diffusion Commit

Event Timeline

epriestley raised the priority of this task from to Needs Triage.
epriestley updated the task description. (Show Details)
epriestley added a project: Phacility.
epriestley moved this task to v0 Closed Beta on the Phacility board.
epriestley added a subscriber: epriestley.

After T7169, this gives you a reasonable error message, but it could be a little nicer.

After T9297 / D14017 , it would be nice to do this:

  • Check if you could log in to the instance if you verified one of your unverified email addresses.
  • Tell you that you should go do that.

Specifically, the path-of-least-resistance workflow will be:

  • Register.
  • Try to log in to your instance.
  • Sort of confusing error?
  • Maybe go check your email later?
  • Click verification link.
  • Things work OK now.

This isn't great. It would be better if that error said "You can log in as soon as you verify your email address.".

epriestley added a revision: Restricted Differential Revision.Sep 2 2015, 5:34 PM
epriestley added a commit: Restricted Diffusion Commit.Sep 2 2015, 9:22 PM
epriestley added a revision: Restricted Differential Revision.Sep 3 2015, 12:50 PM
epriestley triaged this task as Normal priority.
epriestley added a project: OAuthServer.
epriestley added a revision: Restricted Differential Revision.Sep 3 2015, 3:50 PM

That stuff will deploy on ~Saturday, new UX is roughly this:

epriestley added a commit: Restricted Diffusion Commit.Sep 5 2015, 12:45 PM